Subject: Re: How to make stack send broadcast ARP request when entry is STALE?

From: Brian Haley <[email-masked]>
Date: Fri, 07 Nov 2014 10:54:30 +0100

On 11/05/2014 07:48 AM, Ulf samuelsson wrote:
> Have a problem with an HP router at a certain location, which
> is configured to only answer to broadcast ARP requests.
> That cannot be changed.

Sorry to hear about the problem, but my only suggestions would be to try 
the latest firmware and/or put a call in to support.  I don't happen 
work in the division that makes routers...

> The first ARP request the kernel sends out, is a broadcast request,
> which is fine, but after the reply, the kernel sends unicast requests,
> which will not get any replies.

You might be able to hack this by inserting an ebtables rule - check the 
dnat target section of the man page - don't know the exact syntax but it 
would probably end in '-j dnat --to-destination ff:ff:ff:ff:ff:ff'

-Brian